# Module `blingbling.volume`

Volume widget

## Functions

set_master_control (volume_graph) | Link the widget to the master channel of your system (uses amixer).
set_height (height) | Set the volume_graph height.
set_width (width) | Set the graph width.
new (args) | Create a volume_graph widget.

## Local Functions

set_value (volume_graph, value) | Set the graphtype value.
update_mpd (volume_graph) | Link the widget to mpd's volume level.

## Functions

set_master_control (volume_graph)
  Link the widget to the master channel of your system (uses amixer). a left clic toggle mute/unmute, wheel up to increase the volume and wheel down to decrease the volume

  ### Parameters:

  - volume_graph the volume graph

  ### Usage:

      myvolume:set_master_control()

set_height (height)
  Set the volume_graph height.

  ### Parameters:

  - height The height to set.
set_width (width)
  Set the graph width.

  ### Parameters:

  - width The width to set.
new (args)
  Create a volume_graph widget.

  ### Parameters:

  - args Standard widget() arguments. You should add width and height key to set graph geometry.

  ### Returns:

  A graph widget.

## Local Functions

set_value (volume_graph, value)
  Set the graphtype value.

  ### Parameters:

  - volume_graph The progress bar.
  - value The progress bar value between 0 and 1.
update_mpd (volume_graph)
  Link the widget to mpd's volume level.

  ### Parameters:

  - volume_graph the volume graph

  ### Usage:

      myvolume:update_mpd()

generated by LDoc 1.4.2